## org.apache.mahout.math.decomposer.lanczos
Enum LanczosSolver.TimingSection

    java.lang.Object
      java.lang.Enum<LanczosSolver.TimingSection>
          org.apache.mahout.math.decomposer.lanczos.LanczosSolver.TimingSection

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<LanczosSolver.TimingSection>

Enclosing class:
  LanczosSolver

    public static enum LanczosSolver.TimingSection

extends java.lang.Enum<LanczosSolver.TimingSection>

Enum Constant Summary
`FINAL_EIGEN_CREATE`
`ITERATE`
`ORTHOGANLIZE`
`TRIDIAG_DECOMP`

Method Summary
`static LanczosSolver.TimingSection` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static LanczosSolver.TimingSection[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ITERATE

    public static final LanczosSolver.TimingSection ITERATE

### ORTHOGANLIZE

    public static final LanczosSolver.TimingSection ORTHOGANLIZE

### TRIDIAG_DECOMP

    public static final LanczosSolver.TimingSection TRIDIAG_DECOMP

### FINAL_EIGEN_CREATE

    public static final LanczosSolver.TimingSection FINAL_EIGEN_CREATE

Method Detail

### values

    public static LanczosSolver.TimingSection[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (LanczosSolver.TimingSection c : LanczosSolver.TimingSection.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static LanczosSolver.TimingSection valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.